## xbase64 3.1.2

=== debian/changelog ===
xbase64 (3.1.2-6) unstable; urgency=low

  * debian/rules:
    - Split override_dh_install into *-arch and *-indep (Closes: #806123).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 12 Dec 2015 16:13:27 +0100

xbase64 (3.1.2-5) unstable; urgency=low

  * debian/rules:
    - Rename arch-dependent file xbconfig.h to xbconfig-[MULTIARCH].h
      (Closes: #762233).
    - Remove useless hardening parts.
  * Add year 2015 to debian/copyright.
  * Remove debian/source/options because xz compression is standard now.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-Browser to cgit.
    - Remove Multi-Arch: same from libxbase64-dev.
    - Rewrite Depends.
  * New debian/patches/0500-ReproducibleBuilds.patch:
    - Remove timestamps from doxygen generated files.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 17 Feb 2015 14:15:14 +0100

xbase64 (3.1.2-4) unstable; urgency=low

  * New maintainer (Closes: #756543).
  * debian/copyright:
    - Rewrite in machine-readable format.
    - Add myself to the list of authors for debian/*.
  * Change debian/compat to 9 (no changes required).
  * Add debian/source/options:
    - Set compression to xz and compression-level to 9 to save space.
  * debian/control:
    - Set myself as maintainer.
    - Update Build-Depends:
      + Change debhelper version to (>= 9).
    - Remove duplicate Section entries in binary control fields.
    - For previously not existing Vcs:
      + Create a new git repository on alioth.
      + Add the fields Vcs-Browser and Vcs-Git.
    - Move HTML documentation from package libxbase64-dev to libxbase64-doc.
    - Add multiarch support:
      + libxbase64-dev.
      + libxbase64-1.
  * debian/rules:
    - Enable hardening.
    - Rewrite for modern dh.
  * New debian/*.symbols:
    - Add symbol files.
  * New debian/*.manpages:
    - Add to install the manpages.
  * New debian/man/*.1:
    - Add manpages for binary files.
  * New debian/libxbase64-doc.lintian-overrides:
    - Add duplicate-files for some doxygen PNGs.
  * New debian/patches/0100-typo.patch:
    - Add some fixes for typos.
  * debian/patches/fixconfig.diff
    - Add fix for typo.
  * debian/patches/*
    - Add DEP-3 header.
  * Merge QA upload 3.1.2-3 into my work.
  * Add doc directory as symlink from libxbase64-doc:
    - Add *.postinst to save changes in the old doc dir.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 15 Sep 2014 15:36:21 +0200

xbase64 (3.1.2-3) unstable; urgency=medium

  * QA upload.
  * Extend lesserg.diff to cover also an occurrency of "__GNU LesserC__".
  * Fix xbtypes.h so it can be included more than one time without issues,
    and make sure it is not included at the wrong time;
    patch fix-types-include.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Sep 2014 11:11:18 +0200

xbase64 (3.1.2-2) unstable; urgency=medium

  * QA upload.
  * Mention GPL license for various binaries and scripts (Closes: #746178).
  * libxbase64-bin: Conflict with dvb-apps, both providing a `zap' binary.
    Assuming that Linux TV and Xbase utilities don't need to be installed
    together (Closes: #746215).

 -- Matthias Klose <doko@debian.org>  Mon, 28 Apr 2014 11:42:01 +0200

xbase64 (3.1.2-1) unstable; urgency=medium

  * QA upload. Initial upload, replacing libxbase (Closes: #743443).
    Package xbase64 is only seven years old instead of eleven like 2.x.
    Make sure that calligra still builds with the updated version.
  * Bump standards version to 3.9.5.
  * Clean up overall packaging.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Apr 2014 20:33:01 +0200

libxbase (2.0.0-8.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7 (Closes: #667260).

 -- Matthias Klose <doko@debian.org>  Mon, 16 Apr 2012 23:00:27 +0200

libxbase (2.0.0-8.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build with current automake (Closes: #549134).

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 30 May 2011 05:12:34 +0200

libxbase (2.0.0-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD by handling kfreebsd* the same way as
    linux-gnu* in ltconfig, thanks to Petr Salinger (Closes: #493509).
  * Also add ${shlibs:Depends} to libxbase2.0-bin's Depends, a libc
    dependency was missing for some binaries in there.
  * Finally call dh_installdeb after dh_shlibdeps as per lintian warning.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 Aug 2009 01:58:55 +0200

libxbase (2.0.0-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Move include files to /usr/include (Closes: #470260).

 -- Barry deFreese <bddebian@comcast.net>  Mon, 10 Mar 2008 15:15:06 -0400

libxbase (2.0.0-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add watch file.
  * Add Homepage field to control.
  * Add Section to source package and -dev package to libdevel.
  * Fix up debian/copyright syntax.
  * Call dh_makeshlibs before dh_shlibdeps (Closes: #453792).
  * Make clean not ignore errors.
  * Version debhelper build dependency.
  * Move DH_COMPAT to debian/compat and set to 5.
  * Remove unneeded dirs file.
  * Replace 'pwd' with $(CURDIR).
  * Move .files files to .install and adjust debian/rules accordingly.
  * Build with gcc-4.3 (Closes: #461714).
    - Include <iostream> instead of iostream.h in xbase/xbase.h
      to fix FTBFS of reverse dependencies (Closes: #299114).
  * Make binNMU-safe. Replace Source-Version with binary:Version.
  * Handle nostrip option (Closes: #437457).
  * Add info to description that docs are in -dev package (Closes: #394259).
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Thu, 21 Feb 2008 11:04:08 -0500

libxbase (2.0.0-8) unstable; urgency=low

  * Remove "#pragma interface" to make it build with g++ 4.1 (Closes: #356245).
    Thanks to Ben Hutchings and Brian M. Carlson!

 -- Michael Vogt <mvo@debian.org>  Fri, 12 May 2006 11:16:43 +0200


