=== debian/control ===
Source: xbase64
Priority: optional
Section: libs
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 doxygen
Homepage: http://sourceforge.net/projects/xdb/
Vcs-Git: git://anonscm.debian.org/collab-maint/xbase64.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xbase64.git

Package: libxbase64-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: xbase compatible C++ class library (shared libraries)
 Xbase (formerly known as xdb, also formerly known as xBase) is a collection 
 of specifiations, programs, utilities and a C++ class library for 
 manipulating Xbase type datafiles and indices.
 .
 Xbase is useful for accessing data in legacy dBase 3 and 4 database files as
 well as a general light-weight database engine.  It includes support for
 DBF (dBase version 3 and 4) data files, NDX and NTX indexes, and DBT
 (dBase version 3 and 4).  It supports file and record locking under *nix
 OS's.
 .
 This package contains the shared libraries necessary to run programs linked
 against Xbase.  For documentation, please install the libxbase2.0-dev package.

Package: libxbase64-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libxbase64-1 (= ${binary:Version}),
 libc6-dev | libc-dev
Suggests: libxbase64-bin
Description: xbase compatible C++ class library (development files)
 Xbase (formerly known as xdb, also formerly known as xBase) is a collection 
 of specifiations, programs, utilities and a C++ class library for 
 manipulating Xbase type datafiles and indices.
 .
 Xbase is useful for accessing data in legacy dBase 3 and 4 database files as
 well as a general light-weight database engine.  It includes support for
 DBF (dBase version 3 and 4) data files, NDX and NTX indexes, and DBT
 (dBase version 3 and 4).  It supports file and record locking under *nix
 OS's.
 .
 This package contains development files for Xbase and documentation 
 distributed with Xbase.

Package: libxbase64-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libxbase64-1 (= ${binary:Version}),
 libxbase64-dev
Conflicts: libxdb-dev, libxbase2.0-bin, dvb-apps
Description: xbase compatible C++ class library (utilities)
 Xbase (formerly known as xdb, also formerly known as xBase) is a collection 
 of specifiations, programs, utilities and a C++ class library for 
 manipulating Xbase type datafiles and indices.
 .
 Xbase is useful for accessing data in legacy dBase 3 and 4 database files as
 well as a general light-weight database engine.  It includes support for
 DBF (dBase version 3 and 4) data files, NDX and NTX indexes, and DBT
 (dBase version 3 and 4).  It supports file and record locking under *nix
 OS's.
 .
 This package contains the utility files for Xbase distributed with Xbase.

Package: libxbase64-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: xbase compatible C++ class library (documentation)
 Xbase (formerly known as xdb, also formerly known as xBase) is a collection 
 of specifiations, programs, utilities and a C++ class library for 
 manipulating Xbase type datafiles and indices.
 .
 Xbase is useful for accessing data in legacy dBase 3 and 4 database files as
 well as a general light-weight database engine.  It includes support for
 DBF (dBase version 3 and 4) data files, NDX and NTX indexes, and DBT
 (dBase version 3 and 4).  It supports file and record locking under *nix
 OS's.
 .
 This package contains the documentation for Xbase distributed with Xbase.
