=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags = --prefix=/usr --mandir=\$${prefix}/share/man --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --enable-static $(shell dpkg-buildflags --export=cmdline)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure $(confflags)

override_dh_install-arch:
	chmod -x examples/*.cpp
	dh_install
	#
	# rename arch-dependent file to name-MULTIARCH.ext
	# and link to the old name
	#
	mv -f $(CURDIR)/debian/libxbase64-dev/usr/include/xbase64/xbconfig.h $(CURDIR)/debian/libxbase64-dev/usr/include/xbase64/xbconfig-$(DEB_HOST_MULTIARCH).h
	cd $(CURDIR)/debian/libxbase64-dev/usr/include/xbase64 && ln -rs xbconfig-$(DEB_HOST_MULTIARCH).h xbconfig.h

override_dh_install-indep:
	chmod -x examples/*.cpp
	dh_install

override_dh_installdocs:
	dh_installdocs -A --link-doc=libxbase64-doc

override_dh_makeshlibs:
	dpkg-gensymbols -plibxbase64-1
	dh_makeshlibs
